# Uses of Interface
org.opensaml.soap.wssecurity.Created

Packages that use Created
Package
Description
org.opensaml.soap.wssecurity
XMLObject interfaces for WS-Security 1.1 elements.
org.opensaml.soap.wssecurity.impl
XML Object provider implementations for WS-Security.
org.opensaml.soap.wstrust
XMLObject interfaces for WS-Trust 1.3 elements.
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of Created in org.opensaml.soap.wssecurity

Methods in org.opensaml.soap.wssecurity that return Created
Modifier and Type
Method
Description
`Created`
Timestamp.`getCreated()`
Returns the <wsu:Created< child element.
Methods in org.opensaml.soap.wssecurity with parameters of type Created
Modifier and Type
Method
Description
`void`
Timestamp.`setCreated(Created created)`
Sets the <wsu:Created> child element.

## Uses of Created in org.opensaml.soap.wssecurity.impl

Classes in org.opensaml.soap.wssecurity.impl that implement Created
Modifier and Type
Class
Description
`class`
`CreatedImpl`
CreatedImpl.
Fields in org.opensaml.soap.wssecurity.impl declared as Created
Modifier and Type
Field
Description
`private Created`
TimestampImpl.`created`
wsu:Timestamp/wsu:Created element.
Methods in org.opensaml.soap.wssecurity.impl that return Created
Modifier and Type
Method
Description
`Created`
CreatedBuilder.`buildObject()`
`Created`
CreatedBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Created`
TimestampImpl.`getCreated()`
Returns the <wsu:Created< child element.
Methods in org.opensaml.soap.wssecurity.impl with parameters of type Created
Modifier and Type
Method
Description
`void`
TimestampImpl.`setCreated(Created newCreated)`
Sets the <wsu:Created> child element.

## Uses of Created in org.opensaml.soap.wstrust

Methods in org.opensaml.soap.wstrust that return Created
Modifier and Type
Method
Description
`Created`
Lifetime.`getCreated()`
Returns the wsu:Created child element.
Methods in org.opensaml.soap.wstrust with parameters of type Created
Modifier and Type
Method
Description
`void`
Lifetime.`setCreated(Created created)`
Sets the wsu:Created child element.

## Uses of Created in org.opensaml.soap.wstrust.impl

Fields in org.opensaml.soap.wstrust.impl declared as Created
Modifier and Type
Field
Description
`private Created`
LifetimeImpl.`created`
The wsu:Created child element.
Methods in org.opensaml.soap.wstrust.impl that return Created
Modifier and Type
Method
Description
`Created`
LifetimeImpl.`getCreated()`
Returns the wsu:Created child element.
Methods in org.opensaml.soap.wstrust.impl with parameters of type Created
Modifier and Type
Method
Description
`void`
LifetimeImpl.`setCreated(Created newCreated)`
Sets the wsu:Created child element.